.alert {
    position: relative;
    padding: 8px 16px;
    border: 1px solid;
    margin: 15px 0;
    font-family: inherit;
    line-height: 1.6;
    vertical-align: middle;
    background-color: #f0f0f0;
}

// .alert--popup-content {
//     width: 80%;
//     margin: auto;
//     position: absolute;
//     top: 0;
// }

@mixin alertStyle($color) {
    @extend .alert;
    color: $color;
    border-color: $color;
    background-color: lighten($color, 30%);
}

@each $state, $color in $palettes {
    .alert--#{$state} {
        @include alertStyle($color)
    }
}